# GET /endpoints URL: https://developers.vsee.io/api/push-notification-api/get/endpoints Auth: User Token — Requires a user access token from login or SSO. List endpoints Retrieve all notification endpoints for current user Parameters: - X-ApiToken (header, string, required) — API token - type (query, integer, optional) — Device type: 30=APNS, 40=GCM. Empty for all types. Responses: - 200 — Successful response ```json { "data": [ { "id": "551c5f64-a6d8-425d-b89c-581fac1f0144", "key": "123456", "user_id": "201", "type": 30, "arn": "arn:aws:sns:us-west-2:048881245029:endpoint/APNS/com.vsee.isos.TeleAssistance/203fd06c-e559-3fba-a47f-87844eca4e6e", "created": 1427922788, "modified": 1427922788 }, { "id": "551c6005-83d0-48f0-abfe-59c4ac1f0144", "key": "an@vsee.com", "user_id": "201", "type": 10, "created": 1427922949, "modified": 1427922949 } ] } ```